Lintian Reports

W non-standard-executable-perm

All reports of non-standard-executable-perm for the archive. The extended description of this tag is:

Executables that are not setuid or setgid should always have a mode of 0755. Since anyone can obtain the executable by downloading the Debian package and extracting it, restricting access serves little purpose.

Refer to Debian Policy Manual section 10.9 (Permissions and owners) for details.

Severity: normal, Certainty: certain

Check: files, Type: binary, udeb

Evolution of the non-standard-executable-perm Lintian tag over the past 366 days:

The beforementioned graph for the non-standard-executable-perm tag

Emitted (non-overridden): 15, overridden: 14, total: 29

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

bittornado 0.3.18-10.2 (binary)

cups 2.2.3-2 (binary) overridden

cups-filters 1.14.0-2 (binary)

kppp 4:16.08.0-1+b1 (binary) overridden

libapache2-mod-ruid2 0.9.8-3 (binary)

libsaxon-java-gcj 1:6.5.5-10+b1 (binary)

mountpy 0.8.1+b2 (binary)

netdata 1.6.0+dfsg-2 (binary) overridden

printer-driver-gutenprint 5.2.12-2 (binary)

printer-driver-gutenprint 5.2.13~pre1-1 (binary)